| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::VertexMorphKeyFrame Class Reference
Core » Animation

Specialised KeyFrame which stores absolute vertex positions for a complete buffer, designed to be interpolated with other keys in the same track. More...

`#include <OgreKeyFrame.h>`

Inheritance diagram for Ogre::VertexMorphKeyFrame:
[legend]

## Public Member Functions
| VertexMorphKeyFrame (const AnimationTrack *parent, Real time)
| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead. More...
| ~VertexMorphKeyFrame ()
KeyFrame * | _clone (AnimationTrack *newParent) const
| Clone a keyframe (internal use only) More...
Real | getTime (void) const
| Gets the time of this keyframe in the animation sequence. More...
const HardwareVertexBufferSharedPtr & | getVertexBuffer (void) const
| Gets the vertex buffer containing positions for this keyframe. More...
void | setVertexBuffer (const HardwareVertexBufferSharedPtr &buf)
| Sets the vertex buffer containing the source positions for this keyframe. More...

## Detailed Description

Specialised KeyFrame which stores absolute vertex positions for a complete buffer, designed to be interpolated with other keys in the same track.

## Constructor & Destructor Documentation

## ◆ VertexMorphKeyFrame()

Ogre::VertexMorphKeyFrame::VertexMorphKeyFrame | ( | const AnimationTrack * | parent,
|  | Real | time
| ) |  |

Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.

## ◆ ~VertexMorphKeyFrame()

Ogre::VertexMorphKeyFrame::~VertexMorphKeyFrame | ( |  | ) |
| inline

## Member Function Documentation

## ◆ setVertexBuffer()

void Ogre::VertexMorphKeyFrame::setVertexBuffer | ( | const HardwareVertexBufferSharedPtr & | buf | ) |

Sets the vertex buffer containing the source positions for this keyframe.

Remarks
  We assume that positions are the first 3 float elements in this buffer, although we don't necessarily assume they're the only ones in there.

Parameters

  buf | Vertex buffer link; will not be modified so can be shared read-only data

## ◆ getVertexBuffer()

const HardwareVertexBufferSharedPtr& Ogre::VertexMorphKeyFrame::getVertexBuffer | ( | void |  | ) | const

Gets the vertex buffer containing positions for this keyframe.

## ◆ _clone()

KeyFrame* Ogre::VertexMorphKeyFrame::_clone | ( | AnimationTrack * | newParent | ) | const
| virtual

Clone a keyframe (internal use only)

Reimplemented from Ogre::KeyFrame.

## ◆ getTime()

Real Ogre::KeyFrame::getTime | ( | void |  | ) | const
| inline inherited

Gets the time of this keyframe in the animation sequence.

The documentation for this class was generated from the following file:

- OgreKeyFrame.h